Bug 446064 - error dialog every time eclipse starts
error dialog every time eclipse starts
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Andrew Overholt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-12 10:47 EDT by Robert Story
Modified: 2008-05-30 22:12 EDT (History)
4 users (show)

See Also:
Fixed In Version: 3.3.2-12.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-30 22:12:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
output from 'strace -o trace -ff eclipse' (878.92 KB, application/octet-stream)
2008-05-12 10:47 EDT, Robert Story
no flags Details

  None (edit)
Description Robert Story 2008-05-12 10:47:08 EDT
Description of problem:
every time I start eclipse, I get an error dialog: "Could not initialize the
application's security component. The most likely cause is problems with files
in your application's profile directory. Please check that this directory has no
read/write restrictions and your hard disk is not full or close to full. It is
recommended that you exit the application and fix the problem. If you continue
to use this session, you might see incorrect application behaviour when
accessing security features."

Version-Release number of selected component (if applicable):
eclipse-platform-3.3.2-11.fc9.i386

How reproducible:
every time

Steps to Reproduce:
1.start eclipse
2.
3.
  
Actual results:
warning dialog

Expected results:
no dialog

Additional info:
googling this error indicated that creating ~/.mozilla/eclipse would help, but
it did not.
Comment 1 Robert Story 2008-05-12 10:47:08 EDT
Created attachment 305133 [details]
output from 'strace -o trace -ff eclipse'
Comment 2 Andrew Overholt 2008-05-12 11:00:18 EDT
Is something wacky with the permissions of ~/.eclipse?

Did you upgrade from Fedora 8?  If so, you'll need to run once with the -clean
option.  I don't think that's the issue here, though.
Comment 3 Robert Story 2008-05-12 11:03:24 EDT
i went back to check perms, and it seems I hadn't created ~/.mozilla/eclipse as
I had claimed. The dialog did go away after creating the mozilla dir.

This was a clean f9 install, no upgrade.

It starts now. There appears to be an upstream bug report:

https://bugs.eclipse.org/bugs/show_bug.cgi?id=206432
Comment 4 Andrew Overholt 2008-05-12 11:10:25 EDT
In the past, one didn't have to create that directory manually.  I wonder what
changed.  I will look into patching a la upstream's 3.4 fix.
Comment 5 TR Bentley 2008-05-12 15:18:08 EDT
This has happened on a clean Fedora 9 - preview install.
I have downloaded a fresh copy from eclipse.org M4 europa edition and had the
same bug.
Interestingly I was unable to download the Ruby plugin from RDT with the fedora
version but I can on the clean install from eclipse.org.  This may be a separate
issue.
Comment 6 Bug Zapper 2008-05-14 07:02:39 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Andrew Overholt 2008-05-14 13:37:55 EDT
I'm going to back-port the fix from the upstream bug mentioned in comment #3. 
If you could verify the fix when I get a test update (I'll post instructions
here), I'd appreciate it.  Sorry about this.
Comment 8 Fedora Update System 2008-05-20 09:34:16 EDT
eclipse-3.3.2-12.fc9 has been submitted as an update for Fedora 9
Comment 9 Fedora Update System 2008-05-21 07:00:00 EDT
eclipse-3.3.2-12.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update eclipse'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-4205
Comment 10 Fedora Update System 2008-05-30 22:12:08 EDT
eclipse-3.3.2-12.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.